---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab repo view`

View a project/repository

## Synopsis

Display the description and README of a project or open it in the browser.

```plaintext
glab repo view [repository] [flags]
```

## Examples

```plaintext
# view project information for the current directory (must be a git repository)
$ glab repo view

# view project information of specified name
$ glab repo view my-project
$ glab repo view user/repo
$ glab repo view group/namespace/repo

# specify repo by full [git] URL
$ glab repo view git@gitlab.com:user/repo.git
$ glab repo view https://gitlab.company.org/user/repo
$ glab repo view https://gitlab.company.org/user/repo.git

```

## Options

```plaintext
  -b, --branch string   View a specific branch of the repository
  -w, --web             Open a project in the browser
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
